javax.servlet

## Interface ServletRegistration.Dynamic

- All Superinterfaces:
    Registration, Registration.Dynamic, ServletRegistration
  Enclosing interface:
    ServletRegistration

      public static interface ServletRegistration.Dynamic
      extends ServletRegistration, Registration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration

      `ServletRegistration.Dynamic`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLoadOnStartup(int loadOnStartup)`
    `void` | `setMultipartConfig(MultipartConfigElement multipartConfig)`
    `void` | `setRunAsRole(java.lang.String roleName)`
    `java.util.Set<java.lang.String>` | `setServletSecurity(ServletSecurityElement constraint)`

    - ### Methods inherited from interface javax.servlet.ServletRegistration

      `addMapping, getMappings, getRunAsRole`

    - ### Methods inherited from interface javax.servlet.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### setLoadOnStartup

          void setLoadOnStartup(int loadOnStartup)

    - #### setMultipartConfig

          void setMultipartConfig(MultipartConfigElement multipartConfig)

    - #### setRunAsRole

          void setRunAsRole(java.lang.String roleName)

    - #### setServletSecurity

          java.util.Set<java.lang.String> setServletSecurity(ServletSecurityElement constraint)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.